private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "AAFgear.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

if (_unit isKindof "Man") then
{

	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	_unit addweapon "ACE_NVG_Gen4";

	_unit linkItem "tf_microdagr";
	_unit removeweapon "ACE_NVG_Gen4";
};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "guer", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","guer",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","guer",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",25],["ACE_morphine",15],["ACE_bloodIV_500",4],["ACE_epinephrine",15]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};

_tah = ["","optic_ACO_grn","optic_MRCO","optic_Aco","optic_Holosight","optic_Arco","optic_Aco","optic_MRCO","optic_ACO_grn","optic_Aco",""] call BIS_fnc_selectRandom;

switch (_type) do
{
		Case "Pl":
	{
		[_unit, "tf_anprc155"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_Mk20_F","hgun_Pistol_heavy_02_F"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["6Rnd_45ACP_Cylinder",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
		_unit addPrimaryWeaponItem _tah;
	};

		Case "Sl":
	{
		[_unit, "tf_anprc155"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_Mk20_GL_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["1Rnd_HE_Grenade_shell",6],["UGL_FlareWhite_F",5],["UGL_FlareGreen_F",5],["1Rnd_Smoke_Grenade_shell",5],["1Rnd_SmokePurple_Grenade_shell",2],["1Rnd_SmokeOrange_Grenade_shell",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_microDAGR";
		_unit addPrimaryWeaponItem _tah;
	};



		Case "Tl":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["Binocular","arifle_Mk20_GL_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["1Rnd_HE_Grenade_shell",6],["UGL_FlareWhite_F",7],["UGL_FlareGreen_F",7],["1Rnd_Smoke_Grenade_shell",5],["1Rnd_SmokePurple_Grenade_shell",3],["1Rnd_SmokeOrange_Grenade_shell",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "Gre":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20_GL_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["1Rnd_HE_Grenade_shell",6],["UGL_FlareWhite_F",7],["UGL_FlareGreen_F",7],["1Rnd_Smoke_Grenade_shell",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "MG":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["LMG_Mk200_BI_F","rhs_weap_rsp30_white"];
		_magazines = [["200Rnd_65x39_cased_Box_Tracer",2],["200Rnd_65x39_cased_Box",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "200Rnd_65x39_cased_Box";
		_unit addItem "ACE_SpareBarrel";
		_unit addItem "ACE_SpareBarrel";
		_unit addPrimaryWeaponItem _tah;

	};

		Case "Amm":
	{
		[_unit, "B_Carryall_oli"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20C_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",20],["200Rnd_65x39_cased_Box",1],["RPG32_HE_F",1],["RPG32_F",1],["MiniGrenade",1],["HandGrenade",1],["1Rnd_HE_Grenade_shell",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "MGasst":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["200Rnd_65x39_cased_Box",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "AT":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20_F","launch_RPG32_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["RPG32_HE_F",1],["RPG32_F",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "ATasst":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["RPG32_HE_F",1],["RPG32_F",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "Medic":
	{
		[_unit, "B_Carryall_oli"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20C_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["SmokeShellBlue",2],["SmokeShellOrange",2],["SmokeShellPurple",2],["SmokeShellYellow",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "Rif":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",7],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["200Rnd_65x39_cased_Box",1],["SmokeShell",1],["HandGrenade",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _tah;
	};

		Case "Mar":
	{
		[_unit, "B_AssaultPack_dgtl","rhs_weap_rsp30_white"] call _fnc_BUMCheckAddBackpack;
		_items = ["srifle_EBR_MRCO_LP_BI_F"];
		_magazines = [["20Rnd_762x51_Mag",7],["SmokeShell",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};



		Case "Engi": {
		[_unit, "B_Carryall_oli"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20C_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["DemoCharge_Remote_Mag",3],["SatchelCharge_Remote_Mag",1],["SmokeShellOrange",2],["SmokeShellPurple",2],["SmokeShellYellow",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		_unit addPrimaryWeaponItem _tah;
			};

		Case "ExpSpec":
	{
		[_unit, "B_Carryall_oli"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20C_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_556x45_Stanag",5],["30Rnd_556x45_Stanag_Tracer_Yellow",2],["SatchelCharge_Remote_Mag",1],["DemoCharge_Remote_Mag",1],["ClaymoreDirectionalMine_Remote_Mag",2],["SLAMDirectionalMine_Wire_Mag",2],["APERSBoundingMine_Range_Mag",2],["APERSMine_Range_Mag",2],["ATMine_Range_Mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addPrimaryWeaponItem _tah;
	};

		Case "CrewCom":
	{
		[_unit, "tf_anprc155"] call _fnc_BUMCheckAddBackpack;
		_items = ["hgun_PDW2000_Holo_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_9x21_Mag",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "optic_Holosight_smg";
	};

		Case "Crew":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["hgun_PDW2000_Holo_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_9x21_Mag",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "optic_Holosight_smg";
	};

	Case "Pilot":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["hgun_PDW2000_Holo_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_9x21_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "optic_Holosight_smg";
	};


		Case "HeliCrew":
	{
		[_unit, "B_AssaultPack_dgtl"] call _fnc_BUMCheckAddBackpack;
		_items = ["hgun_PDW2000_Holo_F","rhs_weap_rsp30_white"];
		_magazines = [["30Rnd_9x21_Mag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "optic_Holosight_smg";
	};


		Case "Sniper":
	{
		[_unit, "tf_anprc155"] call _fnc_BUMCheckAddBackpack;
		_items = ["srifle_GM6_LRPS_F","hgun_ACPC2_snds_F","ACE_Vector"];
		_magazines = [["5Rnd_127x108_Mag",5],["5Rnd_127x108_APDS_Mag",5],["9Rnd_45ACP_Mag",3],["SmokeShellBlue",2],["ClaymoreDirectionalMine_Remote_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_Clacker";
		_unit addItem "ACE_DefusalKit";

	};

	Case "Spotter":
	{
	    [_unit, "tf_anprc155"] call _fnc_BUMCheckAddBackpack;
		_items = ["arifle_Mk20_MRCO_F","hgun_ACPC2_snds_F","Laserdesignator"];
		_magazines = [["30Rnd_556x45_Stanag",7],["9Rnd_45ACP_Mag",3],["SmokeShellBlue",2],["Laserbatteries",1],["ClaymoreDirectionalMine_Remote_Mag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_Clacker";
		_unit addItem "ACE_DefusalKit";

	};


	Case "auto":
	{
		_unit addMagazineCargoGlobal ["30Rnd_556x45_Stanag", 3];
		_unit addMagazineCargoGlobal ["SmokeShell",4];
		_unit addMagazineCargoGlobal ["HandGrenade",4];
		_unit addMagazineCargoGlobal ["200Rnd_65x39_cased_Box",1];
		_unit addItemCargoGlobal ["ACE_wirecutter",2];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["acc_flashlight",10];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		_unit addItemCargoGlobal ["UGL_FlareGreen_F",5];
		_unit addItemCargoGlobal ["UGL_FlareWhite_F",5];
		_unit addItemCargoGlobal ["ACE_HandFlare_White",5];
		_unit addItemCargoGlobal ["ACE_HandFlare_Red",3];
		_unit addItemCargoGlobal ["ACE_HandFlare_Green",3];
		_unit addItemCargoGlobal ["ACE_HandFlare_Yellow",3];
		_unit addWeaponCargoGlobal ["rhs_weap_rsp30_white",7];
	};

		Case "rekka": //perus
	{
		_unit addMagazineCargoGlobal ["30Rnd_556x45_Stanag", 5];
		_unit addMagazineCargoGlobal ["SmokeShell",8];
		_unit addMagazineCargoGlobal ["HandGrenade",8];
		_unit addMagazineCargoGlobal ["200Rnd_65x39_cased_Box",2];
		_unit addItemCargoGlobal ["ACE_wirecutter",3];
		_unit addItemCargoGlobal ["ACE_bodyBag",20];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",100];
		_unit addItemCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",20];
		_unit addItemCargoGlobal ["UGL_FlareGreen_F",10];
		_unit addItemCargoGlobal ["UGL_FlareWhite_F",10];
		_unit addItemCargoGlobal ["ACE_HandFlare_White",10];
		_unit addItemCargoGlobal ["ACE_HandFlare_Red",5];
		_unit addItemCargoGlobal ["ACE_HandFlare_Green",5];
		_unit addItemCargoGlobal ["ACE_HandFlare_Yellow",5];
		_unit addWeaponCargoGlobal ["rhs_weap_rsp30_white",7];
	};
};

if (_unit isKindof "Man") then
{
		_unit addPrimaryWeaponItem "acc_flashlight";
		_unit addItem "ACE_Flashlight_MX991";
		_unit additem "ACE_EarPlugs";
		_magazines = [["Chemlight_Green",5],["MiniGrenade",2],["HandGrenade",2],["SmokeShell",3],["SmokeShellGreen",2],["ACE_HandFlare_White",3],["ACE_HandFlare_Green",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
};